トップ «前の日記(2006-03-17) 最新 次の日記(2006-03-25)» 編集

3 日坊主日記


2006-03-24 [長年日記]

_ [Rails] Rails 1.1 RC1 (1.0.0.4008)

うちの使ってる範囲では互換性に問題はなさそう。

開発環境をrev 4008に上げて、railsコマンドでプロジェクトを上書き。

 gem update --source http://gems.rubyonrails.org

 rails project
 ... (overwrite) ...

これを1.0.0の運用環境に持っていくと config/environments/development.rb の debug_rjs でひっかかる。これはその行をコメントアウトすれば避けられる。

下方互換性は期待できないからこれは危険だけど、1.0.0->1.0.0.4008 間ではrailsコマンドの生成物にそれほど違いはないのでいける (その多くはドキュメントの修正)。

あと、ruby-1.8.3ではエラーメッセージが出て動かない(1.8.4に上げるか1.8.2に戻すように言われる)。

Windows環境でrailsコマンドを使うと public/dispatch.* が #!C:/ruby-1.8.4/bin/ruby になる (ほかの script/* とかは #!/usr/bin/env 固定ぽい)。 これを #!/usr/bin/ruby 固定にしたいのだけど、どうにかなりませんかね。

_ Google finance

via 大垣さんとこ

グラフのインターフェイスがおもしろい。ズーミングインターフェイス。Flashらしい。

_ cvs2svn

めも

 ./cvs2svn --use-cvs --encoding=Shift_JIS -s /home/moriq/thany-svn-repos ../cvs
[]